<?php
require_once('wu-engine/wu_init.php');
$getid = intval($_GET['id']);
$item = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,usr,inf,ty,siz,cat,co,ti,tf,".DB_PREFIX."_es.dt,st,vo,va,u,v,log,rat FROM `".DB_PREFIX."_es` INNER JOIN ".DB_PREFIX."_users ON ".DB_PREFIX."_es.usr = ".DB_PREFIX."_users.uid WHERE ".DB_PREFIX."_es.id='$getid' AND st = '1' LIMIT 1"));
if (!empty ($item['id']) && $item['st'] == 1) {
switch ($item['cat']) {
case '1': $prevname_1 = 'Скрипты порталов'; $prevurl_1 = 'category/port_script'; $pnamef = 'скрипты порталов'; $pkey = 'купить,скрипты,порталов,онлайн,покупка,cms,кмс,цмс,соцсети,buy,script,скачать,scrypt,приобрести,платно,download,авто,городских'; break;
case '2': $prevname_1 = 'Скрипты казино'; $prevurl_1 = 'category/kazino_script'; $pnamef = 'скрипты казино'; $pkey = 'купить,скрипты,игы,онлайн,покупка,софт,казино,buy,soft,cazino,онлайн,скачать,платно,приобрести,download'; break;
case '3': $prevname_1 = 'Доски объявлений'; $prevurl_1 = 'category/doska_script'; $pnamef = 'доски объявлений'; $pkey = 'купить,онлайн,покупка,доски,объявлений,шаблон,olx,slando,buy,скачать,платно,приобрести,download'; break;
case '4': $prevname_1 = 'Интернет магазины'; $prevurl_1 = 'category/shop_script'; $pnamef = 'интернет магазины'; $pkey = 'купить,онлайн,скрипты,досок,объявлений,покупка,buy,скачать,приобрести,платно,download'; break;
case '5': $prevname_1 = 'Скрипты буксов,CAP'; $prevurl_1 = 'category/cap_script'; $pnamef = 'скрипты буксов,cap'; $pkey = 'купить,онлайн,скрипты,буксов,cap,систем,покупка,buy,скачать,приобрести,платно,download'; break;
case '6': $prevname_1 = 'Скрипты хайпов'; $prevurl_1 = 'category/hayp_script'; $pnamef = 'cкрипты хайпов'; $pkey = 'купить,онлайн,скрипты,хайпов,удвоители,млм,mlm,hayp,hyip,hiyp,покупка,buy,скачать,приобрести,платно,download'; break;
case '7': $prevname_1 = 'Экономические игры'; $prevurl_1 = 'category/games_script'; $pnamef = 'экономические игры'; $pkey = 'купить,онлайн,скрипты,экономических,игр,фермы,покупка,buy,скачать,приобрести,платно,download'; break;
case '8': $prevname_1 = 'Модули для CMS'; $prevurl_1 = 'category/moduls_cms'; $pnamef = 'модули для CMS'; $pkey = 'купить,платные,модули,для,cms,dle,instant,vii,engine,онлайн,покупка,buy,скачать,приобрести,платно,download'; break;
case '9': $prevname_1 = 'Остальное'; $prevurl_1 = 'category/other'; $pnamef = 'разное'; $pkey = 'купить,онлайн,покупка,buy,купить,скрипты,программы,вебмастера,скачать,приобрести,платно,скачать,download'; break;
default: $pnamef = 'ошибка'; $pkey = 'ошибка';
}
$pname = $item['ti'].' - Купить '.$pnamef.' онлайн'; $erre = 0;
} else { header("HTTP/1.0 404 Not Found"); $pname = 'Товар не найден'; $erre = 1; }
$pdesc = 'Просмотр товара '.$item['ti'];
$pname = $item['ti'].' - Купить '.$pnamef.' онлайн'; $erre = 0;
$page_name = $pname;
$page_keys = $pkey;
$page_desc = $pdesc;
$online_title = 'На странице просмотра товара '.$item['ti'];
$online_url = '/eshop_show/'.$getid;
include('wu-engine/wu_header.php');
include ('wu-engine/wu-functions/wu_functions.php');
?>
<!-- Контент -->

<link href="/wu-static/css/slider.css" rel="stylesheet" type="text/css">
<?php if ($erre == 0) {
if (isset($_COOKIE['viewed'])) {
$viewed = urldecode($_COOKIE['viewed']);
if (stristr($viewed, $getid.',') == true) {
$viewed = preg_replace('/'.$getid.',/','',$viewed);
$viewed = $getid.','.$viewed;
setcookie ('viewed', $viewed, $dt+864000, '/', SITE);
} else {
$viewed = $getid.','.$viewed;
setcookie ('viewed', $viewed, $dt+864000, '/', SITE);
}
} else {
setcookie ('viewed', $getid.',', $dt+864000, '/', SITE);
}
mysqli_query($connect_db, "UPDATE `".DB_PREFIX."_es` SET `v` = `v`+1 WHERE id = '$getid' LIMIT 1");
$fav = mysqli_num_rows(mysqli_query($connect_db, "SELECT id FROM ".DB_PREFIX."_es_f WHERE usr='$u_id' AND f='$getid' LIMIT 1"));
$how = mysqli_num_rows(mysqli_query($connect_db, "SELECT id FROM ".DB_PREFIX."_es_s WHERE usr='$u_id' AND tou='$item[usr]' LIMIT 1"));
?>
<div class="block row">
<div class="fsbig col-lg-9 col-md-6 col-sm-6 emargm">
<?php
$text = $item['tf'];
include 'wu-engine/wu-functions/bbcode/bbdecoder.php';
$bb = new IRB_BBdecoder;
$text = !empty($text) ? $text : NULL;
$check = $bb -> stripBBtags($text);
echo $bb -> createBBtags($text);
?>
</div>
<div class="col-lg-3 col-md-6 col-sm-6">
<div class="panel panel-default espmb">
<div class="panel-heading">
<h6 class="panel-title"><i class="icon-credit"></i> Покупка</h6>
</div>
<div style="padding: 10px">
<?php
if ($item['inf'] == 1) { $units = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT count(`id`) AS `c` FROM ".DB_PREFIX."_es_u WHERE m = '$item[id]' AND st = '0'"));
if ($units['c'] > 0) { echo '<a data-toggle="modal" role="button" href="#buy" class="btn btn-success btn-lg btnbuy">Купить</a>'; } else { echo '<div class="alert alert-info"><center>Данный товар закончился</center></div>'; } } else { ?>
<a data-toggle="modal" role="button" href="#buy" class="btn btn-success btn-lg btnbuy">Купить</a>
<?php } if (USER_LOGGED) { ?>
<div id="buy" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-sm">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-credit"></i> Покупка товара</h4>
</div>
<div class="modal-body with-padding">
<div class="alert alert-info"><center>Подтвердите покупку товара</center></div>
</div>
<div class="modal-footer">
<a class="btn btn-success" href="javascript://" id="bbuy" data-loading-text="<i class='icon-spinner7 spin'></i> Покупаем">Купить</a>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>
<?php } else { ?>
<div id="buy" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-credit"></i> Покупка товара</h4>
</div>
<div class="modal-body with-padding">
<div class="alert alert-info"><center>После оплаты счёта Вы получите товар на указанный E-mail. Ссылка на скачивание действительна в течении 24 часов. Вы можете зарегистрироваться и купить данный товар - он будет всегда доступен для скачивания в личном кабинете.</center></div>
<br />
<center>
<div class="form-group">
<select data-placeholder="Выберите платёжную систему" class="select" tabindex="2" id="paysystems">
<option value=""></option>
<?php
$wu_q = mysqli_query($connect_db, "SELECT id,ti FROM `".DB_PREFIX."_pay_systems` WHERE active_in = '1' ORDER BY pos ASC");
while($row = mysqli_fetch_assoc($wu_q)) {
?>
<option value="<?php echo $row['id']; ?>"><?php echo $row['ti']; ?></option>
<?php } ?>
</select>
</div>
<div class="form-group">
<input type="text" class="form-control" style="width:200px" placeholder="E-mail для получения товара" name="em" id="em" required />
</div>
</center>
</div>
<div class="modal-footer">
<a id="btnpay" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Покупаем">Купить</a>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>


<div id="modal_pay" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-credit"></i> Покупка товара</h4>
</div>
<div class="modal-body with-padding" id="paysys_result">
</div>
<div class="modal-footer">
<a class="btn btn-success" href="javascript://" id="btn_send">Оплатить</a>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>

<?php } ?>
</div>
</div>
<div class="panel panel-default espmb">
<div class="panel-heading">
<h6 class="panel-title"><i class="icon-info"></i> Информация</h6>
</div>
<ul class="list-group">
<li class="list-group-item">Стоимость: <font class="flright fbold"><?php echo $item['co']; ?> руб.</font></li>
<li class="list-group-item">Категория: <font class="flright"><a href="/<?php echo $prevurl_1; ?>"><?php echo $prevname_1; ?></a></font></li>
<li class="list-group-item">Тип товара: <font class="flright"><?php if ($item['ty'] == 0) { echo 'Файл'; } if ($item['ty'] == 1) { echo 'Текст'; } ?></font></li>
<?php if ($item['inf'] == 0 && $item['ty'] == 0) { ?><li class="list-group-item">Размер файла: <font class="flright"><?php echo number_format($item['siz'],2,'.',',');?> Мб</font></li><?php } ?>
<li class="list-group-item">Количество: <font class="flright"><?php if ($item['inf'] == 0) { echo 'Бесконечно'; } if ($item['inf'] == 1) { if ($units['c'] > 0) { echo $units['c'].' шт.'; } else { echo 'Всё продано'; } } ?></font></li>
<li class="list-group-item">Рейтинг продавца: <font class="flright"><?php echo $item['rat']; ?></font></li>
</ul>
</div>
<?php
$img = mysqli_query($connect_db, "SELECT id,img FROM ".DB_PREFIX."_es_i WHERE m='$item[id]'");
$imgh = mysqli_num_rows($img);
?>
<div class="panel panel-default espmb marnone">
<div class="panel-heading">
<h6 class="panel-title"><i class="icon-screen"></i> Скриншот<?php if ($imgh > 1) { echo 'ы'; } ?> товара</h6>
</div>
<div class="flexslider">
<ul class="slides lightgallerys">
<?php
while ($imgr = mysqli_fetch_assoc($img)) {
?>
<li data-src="/eshop/images/<?php echo $imgr['img']; ?>" data-sub-html="<?php echo $item['ti']; ?>">
<img class="cspoint" src="/eshop/images/<?php echo $imgr['img']; ?>" alt="<?php echo $item['ti']; ?>" />
</li>
<?php } ?>
</ul>
</div>
<?php if ($imgh > 1) { ?>
<div class="custom-navigation row">
<div class="col-sm-2 col-xs-2">
<a href="#" class="flex-prev btn btn-default btn-icon"><i class="icon-arrow-left10"></i></a>
</div>
<div class="col-sm-8 col-xs-8 imghow">
Всего скриншотов: <?php echo $imgh; ?>
</div>
<div class="col-sm-2 col-xs-2">
<a href="#" class="flex-next btn btn-default btn-icon flright"><i class="icon-arrow-right11"></i></a>
</div>
</div>
<?php } ?>
</div>
</div>
</div>
<div class="block panel-footer margt">
<div class="pull-left">
<ul class="footer-links-group">
<li><i class="icon-clock3"></i> Размещено <?php echo wudate($item['dt']); ?></li>
<li><i class="icon-eye4"></i> Просмотров: <?php echo $item['v']; ?></li>
<li><i class="icon-bubble5"></i> Комментариев: <?php $sumc = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT count(`id`) AS `cnt` FROM ".DB_PREFIX."_es_c WHERE m='$item[id]'")); echo $sumc['cnt']; ?></li>
<li><i class="icon-user2"></i> Продавец: <a href="/user/<?php echo $item['log']; ?>" class="text-semibold tip" data-placement="bottom" data-original-title="Все товары пользователя"><?php echo $item['log']; ?></a></li>
<li class="ratbar tip" data-placement="bottom" data-original-title="Голосов: <?php echo $item['vo'];?>"><input id="rating-input" type="number" value="<?php echo $item['va']/$item['vo'];?>" /></li>
</ul>
</div>
<div class="pull-right marnone">
<ul class="footer-icons-group">
<li><a data-toggle="modal" role="button" href="#share" class="tip" data-placement="bottom" data-original-title="Поделиться"><i class="icon-share2"></i></a></li>
<li<?php if ($fav > 0) { echo ' style="display: none"'; } ?> id="favv"><a href="javascript://" id="fav" class="tip" data-placement="bottom" data-original-title="Добавить в избранное" data-loading-text="<i class='icon-spinner7 spin'></i>"><i class="icon-heart2"></i></a></li>
<li<?php if (!USER_LOGGED || $fav == 0) { echo ' style="display: none"'; } ?> id="favbv"><a href="javascript://" id="favb" class="tip" data-placement="bottom" data-original-title="Удалить из избранного" data-loading-text="<i class='icon-spinner7 spin'></i>"><i class="icon-heart"></i></a></li>
<li id="hsub"<?php if ($how > 0) { echo ' style="display: none"'; } ?>><a href="javascript://" id="sub" class="tip" data-placement="bottom" data-original-title="Подписаться. Вы будете получать уведомления при поступлении новых товаров." data-loading-text="<i class='icon-spinner7 spin'></i>"><i class="icon-megaphone"></i></a></li>
<li id="hsubb"<?php if (!USER_LOGGED || $how == 0) { echo ' style="display: none"'; } ?>><a href="javascript://" id="subb" class="tip" data-placement="bottom" data-original-title="Отписаться" data-loading-text="<i class='icon-spinner7 spin'></i>"><i class="icon-undo"></i></a></li>
</ul>
</div>
</div>
<script>
$(function() {
$('#rating-input').rating({
min: 0,
max: 5,
step: 1,
size: 'xs',
showCaption: false,
showClear: false<?php $rated = explode("|",$item['u']); if(in_array($u_id,$rated)) { echo ', disabled:true'; } ?>
});
$('.ratbar').show('slow');
});
</script>
<div class="block">
<h6><i class="icon-pencil2"></i> Похожие товары</h6>
<div class="well related">
<?php
$rel = mysqli_query($connect_db, "SELECT ".DB_PREFIX."_es.id,ti,img FROM ".DB_PREFIX."_es INNER JOIN ".DB_PREFIX."_es_i ON ".DB_PREFIX."_es.id = ".DB_PREFIX."_es_i.m WHERE st = '1' AND cat = '$item[cat]' AND ".DB_PREFIX."_es.id != '$getid' GROUP BY ".DB_PREFIX."_es.id ORDER BY RAND() LIMIT 5");
while ($row_rel = mysqli_fetch_assoc($rel)) {echo '<i class="icon-arrow-right11"></i> <a href="/eshop_show/'.$row_rel['id'].'" class="imt">'.$row_rel['ti'].'<span><img src="/eshop/images/'.$row_rel['img'].'" alt="'.$row_rel['ti'].'" /></span></a><br />';}
?>
</div>
</div>
<h6 class="heading-hr margtb"><i class="icon-bubbles4"></i> Комментарии<?php if(USER_LOGGED){ ?> <div class="pull-right marnone">
<ul class="footer-icons-group">
<li class="tip" data-placement="left" data-original-title="Обновить комментарии"><a href="javascript://" onclick="load_c();" id="recomm" class="bordn" data-loading-text="<i class='icon-loop4 spin'></i>"><i class="icon-loop4"></i></a></li>
<li class="tip" data-placement="left" data-original-title="Добавить комментарий"><a href="#comment" class="bordn"><i class="icon-plus"></i></a></li>
</ul>
</div><?php } ?></h6>
<div id="comm_res" class="block">
<?php
class Threaded_comments
{
public $parents  = array();
public $children = array();
function __construct($comments)
{
foreach ($comments as $comment)
{
if ($comment['t'] == 0)
{
$this->parents[$comment['id']][] = $comment;
}
else
{
$this->children[$comment['t']][] = $comment;
}
}
}
private function format_comment($comment, $depth)
{
if (empty($comment['av'])) { $av = 'def.png'; } else { $av = $comment['av']; }
for ($depth; $depth > 0; $depth--)
{
echo '<div class="lcom"></div>';
}
echo '<div class="media" onclick="reply(\''.$comment['id'].'\',\''.$comment['log'].'\');"><a class="pull-left" name="'.$comment['id'].'">
<img class="media-object" src="/wu-uploads/avatars/thumbs/'.$av.'" alt="'.$comment['log'].'">
</a>
<div class="media-body">
<font class="media-heading">'.$comment['log'].'</font>
<ul class="headline-info">
<li>'.wudate($comment['dt']).'</li>
</ul>
'.nl2br(htmlspecialchars($comment['c'])).'
</div>
</div>
';
}
private function print_parent($comment, $depth = 0)
{
foreach ($comment as $c)
{
$this->format_comment($c, $depth);
if (isset($this->children[$c['id']]))
{
$this->print_parent($this->children[$c['id']], $depth + 1);
}
}
}
public function print_comments()
{
foreach ($this->parents as $c)
{
$this->print_parent($c);
}
}
}
$carr = mysqli_query($connect_db, "SELECT id,t,usr,c,dt,log,av FROM `".DB_PREFIX."_es_c` INNER JOIN ".DB_PREFIX."_users ON ".DB_PREFIX."_es_c.usr = ".DB_PREFIX."_users.uid WHERE m = '$getid' ORDER BY id ASC");
if (mysqli_num_rows($carr) > 0) {
while ($row = mysqli_fetch_array($carr)) {
$comm[] = $row;
}
$ecom = new Threaded_comments($comm);
$ecom->print_comments();
} else { echo '<div class="alert alert-info fade in"><i class="icon-info"></i> Комментариев нет</div>'; }
?>
</div>
<script type='text/javascript'>
var toid;
function reply(id,login){
<?php if (USER_LOGGED) { ?>
toid = id;
$('#toreply').text(login);
$('#reply').modal('show');
<?php } else { ?>
$.jGrowl('Авторизуйтесь для отправки сообщения', { theme: 'growl-error' });
<?php } ?>
};
</script>
<?php if (USER_LOGGED) { ?>
<div class="block">
<h6><i class="icon-bubble-plus"></i> Добавить комментарий</h6>
<div class="well">
<div class="form-group marnone">
<label>Ваш комментарий:</label>
<textarea rows="5" cols="5" placeholder="Текст комментария" id="text" class="elastic form-control"></textarea>
<br />
<div class="iscbl"><center><a href="javascript://" id="submit" name="comment" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Отправляем"><span>Отправить</span></a></center></div>
</div>
</div>
</div>
<div id="reply" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-bubble2"></i> Ответ на сообщение пользователя <font id="toreply"></font></h4>
</div>
<div class="modal-body with-padding">
<textarea class="form-control" placeholder="Введите текст сообщения" id="rtext"></textarea>
</div>
<div class="modal-footer">
<button type="button" id="reply_send" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Отправляем">Отправить</button>
<button type="button" class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>
<?php } else { echo '<div class="block"><div class="alert alert-info fade in"><i class="icon-info"></i> Авторизуйтесь для добавления комментария</div></div>'; } ?>
<div id="share" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-share2"></i> Поделиться</h4>
</div>
<div class="modal-body with-padding">
<center>
<script type="text/javascript" src="//yastatic.net/share/share.js" charset="utf-8"></script><div class="yashare-auto-init" data-yashareL10n="ru" data-yashareType="small" data-yashareQuickServices="vkontakte,facebook,twitter,odnoklassniki,moimir,lj,friendfeed,moikrug,gplus,surfingbird" data-yashareTheme="counter"></div>
</center>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>
<link href="/wu-static/css/rating.css" rel="stylesheet">
<script src="/wu-static/js/rating.js"></script>
<link href="/wu-static/js/lightgallery/css/lightgallery.min.css" rel="stylesheet">
<script src="/wu-static/js/lightgallery/js/picturefill.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lightgallery.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-fullscreen.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-thumbnail.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-video.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-autoplay.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-zoom.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-pager.js"></script>
<script src="/wu-static/js/lightgallery/js/jquery.mousewheel.min.js"></script>

<script type="text/javascript" src="/wu-static/js/select2.min.js"></script>

<script type='text/javascript'>
//Оформление селекта
$(document).ready(function() {
$(".select").select2({
minimumResultsForSearch: "-1",
width: 200
});
});

//Загрузка платёжной системы
$('#btnpay').click(function(){
if ($('#paysystems').val() > 0) {
if ($('#em').val().length > 0) {
var paysys = $('#paysystems').val();
var extra = '<?php echo $getid; ?>'+'||'+$('#em').val();
var data = {'id': paysys, 'type':'eshopbuy', 'extra': extra, 'showsum':'0', 'infotext':'Счёт успешно создан'};
wu_response('/wu-engine/wu-pay-systems/wu_payload.php', data, 'btnpay', '1', function(wu_result) {
if (wu_result == 'wu-error') {
wu_err();
} else {
$('.modal').modal('hide');
$('#paysys_result').html(wu_result);
$('#modal_pay').modal('show');
}
});
} else { notif_e('Введите E-mail'); }
} else { notif_e('Выберите платёжную систему'); }
});

$('#btn_send').click(function(){
var form = document.getElementById('wu-form-send-pay');
for(var i=0; i < form.elements.length; i++){
if(form.elements[i].value === '' && form.elements[i].hasAttribute('required')){
notif_e('Заполните необходимые поля');
return false;
}
}
form.submit();
$('#modal_pay').modal('hide');
});

function load_c(){
var btnrc = $('#recomm');
btnrc.button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_comment_l.php',
data: {'id': '<?php echo $getid; ?>', 'token': token},
cache: false,
success: function(result){
btnrc.button('reset');
$.jGrowl('Комментарии обновлены', { theme: 'growl-success' });
$('#comm_res').html(result);
},
error: function(){
btnrc.button('reset');
serr();
}
});
};
var btnf = $('#fav');
btnf.click(function(){
<?php if(USER_LOGGED){ ?>
btnf.button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_fav_add.php',
data: {'id': '<?php echo $getid; ?>', 'token': token},
cache: false,
success: function(result){
btnf.button('reset');
if (result == '0') {
$.jGrowl('Товар уже в избранном', { theme: 'growl-error' });
}
if (result == '1') {
$.jGrowl('Добавлено в избранное', { theme: 'growl-success' });
$('#favv').hide();
$('#favbv').show();
}
if (result == '3') {
jerr();
}
},
error: function(){
btnf.button('reset');
serr();
}
});
<?php } else { ?>
$.jGrowl('Авторизуйтесь для добавления в избранное', { theme: 'growl-error' });
<?php } ?>
});
var btnb = $('#favb');
btnb.click(function(){
<?php if(USER_LOGGED){ ?>
btnb.button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_fav_back.php',
data: {'id': '<?php echo $getid; ?>', 'token': token},
cache: false,
success: function(result){
btnb.button('reset');
if (result == '0') {
$.jGrowl('Товар не в избранном', { theme: 'growl-error' });
}
if (result == '1') {
$.jGrowl('Удалено из избранного', { theme: 'growl-success' });
$('#favv').show();
$('#favbv').hide();
}
if (result == '3') {
jerr();
}
},
error: function(){
btnb.button('reset');
serr();
}
});
<?php } else { ?>
$.jGrowl('Необходимо авторизоваться', { theme: 'growl-error' });
<?php } ?>
});
$(function() {
<?php if (USER_LOGGED) { ?>
var btnbuy = $('#bbuy');
btnbuy.click(function(){
btnbuy.button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_item_buy_reg.php',
data: {'id': '<?php echo $getid; ?>', 'token': token},
cache: false,
success: function(result){
btnbuy.button('reset');
if (result == '0') {
$.jGrowl('Недостаточно средств', { theme: 'growl-error' });
}
if (result == '1') {
$(location).attr('href','/account/eshop_purchase');
}
if (result == '3') {
jerr();
}
if (result == '4') {
$.jGrowl('Вы уже покупали данный товар', { theme: 'growl-error' });
}
if (result == '5') {
$.jGrowl('Вы не можете купить свой товар', { theme: 'growl-error' });
}
},
error: function(){
btnbuy.button('reset');
serr();
}
});
});
<?php } else { ?>
$('#val').change(function() {
var vval = $("#val").val();
if (vval == 3) {
$('#qih').show('slow');
} else {
$('#qih').hide('slow');
}
});
<?php } ?>
$('#rating-input').on('rating.change', function() {
<?php if (USER_LOGGED) { ?>
var rval = parseInt($('#rating-input').val());
var rvo = parseInt('<?php echo $item['vo']; ?>');
var rva = parseInt('<?php echo $item['va']; ?>');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_rating.php',
data: {'id': '<?php echo $getid; ?>', 'val': rval, 'token': token},
cache: false,
success: function(result){
if (result == '0') {
$('#rating-input').rating('reset');
$('#rating-input').rating('refresh', {disabled: true});
$.jGrowl('Вы уже голосовали', { theme: 'growl-error' });
}
if (result == '1') {
var nrvo = rvo + 1;
var nrva = rva + rval;
var newr = nrva / nrvo;
$('#rating-input').rating('update', newr);
$('#rating-input').rating('refresh', {disabled: true});
$.jGrowl('Оценка засчитана', { theme: 'growl-success' });
}
if (result == '3') {
$('#rating-input').rating('reset');
jerr();
}
if (result == '4') {
$('#rating-input').rating('reset');
$.jGrowl('Голосовать могут пользователи с рейтингом больше одного', { theme: 'growl-error' });
}
},
error: function(){
$('#rating-input').rating('reset');
serr();
}
});
<?php } else { ?>
$('#rating-input').rating('reset');
$.jGrowl('Авторизуйтесь для голосования', { theme: 'growl-error' });
<?php } ?>
});
$('.lightgallerys').lightGallery();
var btnsb = $('#sub');
btnsb.click(function(){
<?php if(USER_LOGGED){ ?>
btnsb.button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_sub.php',
data: {'id': '<?php echo $item['usr']; ?>', 'token': token},
cache: false,
success: function(result){
btnsb.button('reset');
if (result == '0') {
$.jGrowl('Вы не можете подписаться на себя', { theme: 'growl-error' });
}
if (result == '1') {
$.jGrowl('Вы подписались', { theme: 'growl-success' });
$('#hsub').hide();
$('#hsubb').show();
}
if (result == '3') {
jerr();
}
if (result == '4') {
$.jGrowl('Вы уже подписаны на этого продавца', { theme: 'growl-error' });
}
},
error: function(){
btnsb.button('reset');
serr();
}
});
<?php } else { ?>
$.jGrowl('Авторизуйтесь для подписки', { theme: 'growl-error' });
<?php } ?>
});
<?php if(USER_LOGGED){ ?>
var btnbs = $('#subb');
btnbs.click(function(){
btnbs.button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_sub_back.php',
data: {'id': '<?php echo $item['usr']; ?>', 'token': token},
cache: false,
success: function(result){
btnbs.button('reset');
if (result == '0') {
$.jGrowl('Вы не подписаны на этого продавца', { theme: 'growl-error' });
}
if (result == '1') {
$.jGrowl('Вы отписались', { theme: 'growl-success' });
$('#hsubb').hide();
$('#hsub').show();
}
if (result == '3') {
jerr();
}
},
error: function(){
btnbs.button('reset');
serr();
}
});
});
var btnr = $('#reply_send');
btnr.click(function(){
btnr.button('loading');
var rtext = $('#rtext').val();
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_comment_r.php',
data: {'m': '<?php echo $getid; ?>', 'id': toid, 'text': rtext, 'token': token},
cache: false,
success: function(result){
btnr.button('reset');
if (result == '0') {
$.jGrowl('Вы не ввели сообщение', { theme: 'growl-error' });
}
if (result == '1') {
$('#reply').modal('hide');
$('#rtext').val('');
load_c();
}
if (result == '3') {
jerr();
}
if (result == '4') {
location.reload();
}
if (result == '5') {
$.jGrowl('Пользователи с отрицательным рейтингои не могут оставлять комментарии', { theme: 'growl-error' });
}
},
error: function(){
btnr.button('reset');
serr();
}
});
});
var btns = $('#submit');
btns.click(function(){
btns.button('loading');
var text = $('#text').val();
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_comment.php',
data: {'m': '<?php echo $getid; ?>','text': text, 'token': token},
cache: false,
success: function(res){
btns.button('reset');
if (res == '0') {
$.jGrowl('Вы не ввели сообщение', { theme: 'growl-error' });
}
if (res == '1') {
$('#text').val('');
load_c();
}
if (res == '3') {
jerr();
}
if (res == '4') {
location.reload();
}
if (res == '5') {
$.jGrowl('Пользователи с отрицательным рейтингои не могут оставлять комментарии', { theme: 'growl-error' });
}
},
error: function(){
btns.button('reset');
serr();
}
});
});
<?php } ?>
$('.flexslider').flexslider({
animation: "slide",
controlsContainer: $(".custom-controls-container"),
customDirectionNav: $(".custom-navigation a")
});
<?php if(!USER_LOGGED){ ?>
$("#qi").keypress(function (e) {
if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
return false;
}
});
<?php } ?>
});
</script>
<?php } else { echo '<div class="alert alert-danger"><center>Товар не найден</center></div>'; } ?>
<script type="text/javascript" src="/wu-static/js/slider.min.js"></script>

<?php include('wu-engine/wu_footer.php'); ?>